com.ihr.xbrl.versioning

## Class Action

- java.lang.Object
- - com.ihr.xbrl.versioning.Action

-     public class Action
      extends java.lang.Object

  This class represents an action in a versioning report.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addEventGroup(EventGroup ev)` Adds the event group.
    `void` | `addText(java.lang.String text)` Adds text to this action.
    `void` | `delText(int index)` Removes text added to this action.
    `java.util.Iterator<EventGroup>` | `getEventGroups()` Gets the event groups.
    `java.lang.String` | `getNodeName()` Gets the node name.
    `java.util.Iterator<java.lang.String>` | `getText()` Gets the text.
    `void` | `insertElementAt(EventGroup eventGroup, int index)` Insert element at.
    `boolean` | `remove(EventGroup ev)` Removes the.
    `EventGroup` | `remove(int index)` Removes the.
    `void` | `removeAllTexts()` Removes the all texts.
    `void` | `setNodeName(java.lang.String nodeName)` Access to the node name of this action
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Action

          public Action()

  - ### Method Detail

    - #### addText

          public void addText(java.lang.String text)

      Adds text to this action. Text is stored in an internal Vector of Strings
      Parameters:
        `text` - the text

    - #### delText

          public void delText(int index)

      Removes text added to this action.
      Parameters:
        `index` - the index

    - #### setNodeName

          public void setNodeName(java.lang.String nodeName)

      Access to the node name of this action
      Parameters:
        `nodeName` - the new node name

    - #### getText

          public java.util.Iterator<java.lang.String> getText()

      Gets the text.
      Returns:
        the text

    - #### getNodeName

          public java.lang.String getNodeName()

      Gets the node name.
      Returns:
        the node name

    - #### getEventGroups

          public java.util.Iterator<EventGroup> getEventGroups()

      Gets the event groups.
      Returns:
        the event groups

    - #### remove

          public boolean remove(EventGroup ev)

      Removes the.
      Parameters:
        `ev` - the ev
      Returns:
        true, if successful

    - #### addEventGroup

          public boolean addEventGroup(EventGroup ev)

      Adds the event group.
      Parameters:
        `ev` - the ev
      Returns:
        true, if successful

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### insertElementAt

          public void insertElementAt(EventGroup eventGroup,
                             int index)

      Insert element at.
      Parameters:
        `eventGroup` - the event group
        `index` - the index

    - #### remove

          public EventGroup remove(int index)

      Removes the.
      Parameters:
        `index` - the index
      Returns:
        the event group

    - #### removeAllTexts

          public void removeAllTexts()

      Removes the all texts.